Bug 795746 - Subsys names and pidfiles don't correspond with SysV init script names
Subsys names and pidfiles don't correspond with SysV init script names
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rusers (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Petr Kubat
qe-baseos-daemons
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-21 07:54 EST by Honza Horak
Modified: 2017-04-10 04:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-10 04:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (2.69 KB, patch)
2012-02-21 08:02 EST, Honza Horak
no flags Details | Diff

  None (edit)
Description Honza Horak 2012-02-21 07:54:53 EST
Description of problem:
This is a part of the original bug #634922. Renaming subsys files and pidfiles is not able to be fixed and tested easily as a fastrack, so it has been separated into this bug and can be fixed in some later release.

Version-Release number of selected component (if applicable):
rusers-server-0.17-59.el6.x86_64.rpm

How reproducible:
every-time

Steps to Reproduce:
1.run rpmlint -i rusers-server-0.17-59.el6.x86_64.rpm
  
Actual results:
rusers.spec: W: invalid-url Source2: rstatd.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

rusers.spec: W: invalid-url Source0: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-rusers-0.17.tar.gz <urlopen error [Errno -2] Name or service not known>
The value should be a valid, public HTTP, HTTPS, or FTP URL.

rusers-server.x86_64: E: incoherent-subsys /etc/rc.d/init.d/rusersd rpc.rusersd
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

rusers-server.x86_64: E: incoherent-subsys /etc/rc.d/init.d/rusersd rpc.rusersd
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

rusers-server.x86_64: E: incoherent-subsys /etc/rc.d/init.d/rstatd rpc.rstatd
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

rusers-server.x86_64: E: incoherent-subsys /etc/rc.d/init.d/rstatd rpc.rstatd
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

3 packages and 1 specfiles checked; 4 errors, 2 warnings.

Expected results:
no errors

Additional info:
The warnings with invalid urls were expected, because packages don't have an active upstream and FTP on linux.org hasn't been available for some time.
Comment 1 Honza Horak 2012-02-21 08:02:17 EST
Created attachment 564667 [details]
proposed patch

This patch changes names of lockfiles/pidfiles to correspond with rusersd and rstatd SysV init script names and moves these files when the services are running during package update.
Comment 2 RHEL Product and Program Management 2012-09-07 01:12:20 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 5 Honza Horak 2017-04-10 04:23:09 EDT
Red Hat Enterprise Linux 6 shipped its last Production 2 phase minor release, RHEL 6.9, on March 21, 2016. On May 10, 2017, RHEL 6 exits Production 2 phase and moves into Production 3 phase. For RHEL releases in Production 3 phase, Red Hat will provide critical-impact security fixes and urgent priority bug fixes for the last minor release but will not provide any software enhancements or hardware enablement.

This BZ does not appear to meet the Product 3 phase inclusion criteria described above so is being closed WONTFIX. If this BZ is critical for your environment, please open a case in the Red Hat Customer Portal, https://access.redhat.com, provide a thorough business justification and ask that the BZ be re-opened for consideration. Please note, only critical-impact security fixes and urgent priority bug fixes will be considered, and no software enhancements or hardware enablement will be performed.

Note You need to log in before you can comment on or make changes to this bug.